rte_flow_item_arp_eth_ipv4(3)

NAME
rte_flow_item_arp_eth_ipv4

SYNOPSIS

#include <rte_flow.h>

Detailed Description

RTE_FLOW_ITEM_TYPE_ARP_ETH_IPV4

Matches an ARP header for Ethernet/IPv4.

Definition at line 1394 of file rte_flow.h.

Field Documentation

  rte_be16_t hrd
Hardware type, normally 1.

Definition at line 1401 of file rte_flow.h.

  rte_be16_t pro
Protocol type, normally 0x0800.

Definition at line 1402 of file rte_flow.h.

  uint8_t hln
Hardware address length, normally 6.

Definition at line 1403 of file rte_flow.h.

  uint8_t pln
Protocol address length, normally 4.

Definition at line 1404 of file rte_flow.h.

  rte_be16_t op
Opcode (1 for request, 2 for reply).

Definition at line 1405 of file rte_flow.h.

  struct rte_ether_addr sha
Sender hardware address.

Definition at line 1406 of file rte_flow.h.

  rte_be32_t spa
Sender IPv4 address.

Definition at line 1407 of file rte_flow.h.

  struct rte_ether_addr tha
Target hardware address.

Definition at line 1408 of file rte_flow.h.

  rte_be32_t tpa
Target IPv4 address.

Definition at line 1409 of file rte_flow.h.

  struct rte_arp_hdr hdr
ARP header definition.

Definition at line 1411 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.